Bug 1731399 - ddiskit depends on Python 2
Summary: ddiskit depends on Python 2
Keywords:
Status: CLOSED DUPLICATE of bug 1777623
Alias: None
Product: Fedora
Classification: Fedora
Component: ddiskit
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene Syromiatnikov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-19 10:30 UTC by Lumír Balhar
Modified: 2019-11-28 01:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:09:45 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-07-19 10:30:13 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for ddiskit's future. Specifically:

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to ddiskit.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-07-29 04:55:04 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 2 Eugene Syromiatnikov 2019-07-29 13:46:53 UTC
(In reply to Lumír Balhar from comment #0)
> - What are the upstream/community plans/timelines regarding Python 3?

ddiskit's code is aimed to be Python 2/3 agnostic.

> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)

Switching the interpreter should be enough; however, the current state of the codebase means that some manual testing is required.

Comment 3 Lumír Balhar 2019-08-09 21:55:01 UTC
> Switching the interpreter should be enough; however, the current state of
> the codebase means that some manual testing is required.

And is there any plan to do that?

Comment 4 Ben Cotton 2019-08-13 17:02:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 17:13:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Lumír Balhar 2019-08-19 11:27:53 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 7 Miro Hrončok 2019-11-28 01:09:45 UTC

*** This bug has been marked as a duplicate of bug 1777623 ***


Note You need to log in before you can comment on or make changes to this bug.